Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_IO_Cntl_Msg Class Reference

Data format for IOCTL messages. More...

`#include <IO_Cntl_Msg.h>`

List of all members.

## Public Types
typedef unsigned short | ACE_IO_Cntl_Cmds
enum | { SET_LWM = 1, GET_LWM = 2, SET_HWM = 3, GET_HWM = 4, MOD_LINK = 5, MOD_UNLINK = 6 }
## Public Member Functions
| ACE_IO_Cntl_Msg (ACE_IO_Cntl_Cmds c)
| Initialize the control message.
ACE_IO_Cntl_Cmds | cmd (void)
| Get command.
void | cmd (ACE_IO_Cntl_Cmds c)
| Set command.
size_t | count (void)
| Get count.
void | count (size_t c)
| Set count.
int | error (void)
| Get error.
void | error (int e)
| Set error.
int | rval (void)
| Get return value.
void | rval (int r)
| Set return value.
void | dump (void) const
| Dump the state of an object.
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.
## Private Attributes
ACE_IO_Cntl_Cmds | cmd_
| Command.
size_t | count_
| Count.
int | error_
| Error.
int | rval_
| Return value.

## Detailed Description

Data format for IOCTL messages.

## Member Typedef Documentation

typedef unsigned short ACE_IO_Cntl_Msg::ACE_IO_Cntl_Cmds

## Member Enumeration Documentation

anonymous enum

  | Enumeration values:
  SET_LWM | Set the low water mark.
  GET_LWM | Get the low water mark.
  SET_HWM | Set the high water mark.
  GET_HWM | Get the high water mark.
  MOD_LINK | Link modules.
  MOD_UNLINK | Unlink modules.

## Constructor & Destructor Documentation

ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_INLINE ACE_IO_Cntl_Msg::ACE_IO_Cntl_Msg | ( | ACE_IO_Cntl_Cmds | c | ) |

| Initialize the control message.

## Member Function Documentation

ACE_INLINE void ACE_IO_Cntl_Msg::cmd | ( | ACE_IO_Cntl_Cmds | c | ) |

| Set command.

ACE_INLINE ACE_IO_Cntl_Msg::ACE_IO_Cntl_Cmds ACE_IO_Cntl_Msg::cmd | ( | void |  | ) |

| Get command.

ACE_INLINE void ACE_IO_Cntl_Msg::count | ( | size_t | c | ) |

| Set count.

ACE_INLINE size_t ACE_IO_Cntl_Msg::count | ( | void |  | ) |

| Get count.

void ACE_IO_Cntl_Msg::dump | ( | void |  | ) | const

| Dump the state of an object.

ACE_INLINE void ACE_IO_Cntl_Msg::error | ( | int | e | ) |

| Set error.

ACE_INLINE int ACE_IO_Cntl_Msg::error | ( | void |  | ) |

| Get error.

ACE_INLINE void ACE_IO_Cntl_Msg::rval | ( | int | r | ) |

| Set return value.

ACE_INLINE int ACE_IO_Cntl_Msg::rval | ( | void |  | ) |

| Get return value.

## Member Data Documentation

ACE_IO_Cntl_Msg::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks.

ACE_IO_Cntl_Cmds ACE_IO_Cntl_Msg::cmd_`[private]`

| Command.

size_t ACE_IO_Cntl_Msg::count_`[private]`

| Count.

int ACE_IO_Cntl_Msg::error_`[private]`

| Error.

int ACE_IO_Cntl_Msg::rval_`[private]`

| Return value.

The documentation for this class was generated from the following files:

- IO_Cntl_Msg.h
- IO_Cntl_Msg.inl